Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEECPrivateKey

    java.lang.Object
      |
      +--org.bouncycastle.jce.provider.JCEECPrivateKey

All Implemented Interfaces:
  ECKey, ECPointEncoder, ECPrivateKey, java.security.Key, PKCS12BagAttributeCarrier, java.security.PrivateKey, java.io.Serializable

public class JCEECPrivateKey
extends java.lang.Object
implements ECPrivateKey, PKCS12BagAttributeCarrier, ECPointEncoder

See Also:
  Serialized Form

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Constructor Summary
`protected` | `JCEECPrivateKey()`

Method Summary
`java.lang.String` | `getAlgorithm()`
`DEREncodable` | `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` | `getBagAttributeKeys()`
`java.math.BigInteger` | `getD()` return the private value D.
`byte[]` | `getEncoded()` Return a PKCS8 representation of the key.
`java.lang.String` | `getFormat()` return the encoding format we produce in getEncoded().
`ECParameterSpec` | `getParameters()` return a parameter specification representing the EC domain parameters for the key.
`ECParameterSpec` | `getParams()` return a parameter specification representing the EC domain parameters for the key.
`void` | `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`
`void` | `setPointFormat(java.lang.String style)` Set the formatting for encoding of points.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEECPrivateKey

    protected JCEECPrivateKey()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  return the encoding format we produce in getEncoded().
  Specified by:
    `getFormat` in interface `java.security.Key`
  Returns:
    the string "PKCS#8"

### getEncoded

    public byte[] getEncoded()

  Return a PKCS8 representation of the key. The sequence returned represents a full PrivateKeyInfo object.
  Specified by:
    `getEncoded` in interface `java.security.Key`
  Returns:
    a PKCS8 representation of the key.

### getParams

    public ECParameterSpec getParams()

  Description copied from interface: `ECKey`
  return a parameter specification representing the EC domain parameters for the key.
  Specified by:
    `getParams` in interface `ECKey`

### getParameters

    public ECParameterSpec getParameters()

  Description copied from interface: `ECKey`
  return a parameter specification representing the EC domain parameters for the key.
  Specified by:
    `getParameters` in interface `ECKey`

### getD

    public java.math.BigInteger getD()

  Description copied from interface: `ECPrivateKey`
  return the private value D.
  Specified by:
    `getD` in interface `ECPrivateKey`

### setBagAttribute

    public void setBagAttribute(DERObjectIdentifier oid,
                                DEREncodable attribute)

  Specified by:
    `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttribute

    public DEREncodable getBagAttribute(DERObjectIdentifier oid)

  Specified by:
    `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttributeKeys

    public java.util.Enumeration getBagAttributeKeys()

  Specified by:
    `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

### setPointFormat

    public void setPointFormat(java.lang.String style)

  Description copied from interface: `ECPointEncoder`
  Set the formatting for encoding of points. If the String "UNCOMPRESSED" is passed in point compression will not be used. The default is "COMPRESSED".
  Specified by:
    `setPointFormat` in interface `ECPointEncoder`
  Following copied from interface: `org.bouncycastle.jce.interfaces.ECPointEncoder`
  Parameters:
    `style` - the style to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD